Page MenuHomeFreeBSD

Flag pending TUR.
ClosedPublic

Authored by imp on Mar 22 2018, 5:36 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jun 29, 7:33 AM
Unknown Object (File)
Fri, Jun 28, 10:35 PM
Unknown Object (File)
Jun 4 2024, 12:57 PM
Unknown Object (File)
Apr 30 2024, 8:03 AM
Unknown Object (File)
Mar 22 2024, 3:28 AM
Unknown Object (File)
Jan 5 2024, 10:29 PM
Unknown Object (File)
Jan 5 2024, 10:29 PM
Unknown Object (File)
Jan 5 2024, 10:29 PM

Details

Reviewers
imp
Group Reviewers
cam
Summary

Flag when we have a pending TUR. Don't schedule another one when we
have one pending. Otherwise, we can race and send two, which is
wasteful in close proximity. It can also cause the acaquire/release
count for TUR to be > 1, which is undexpected.

Diff Detail

Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 15710
Build 15736: arc lint + arc unit

Event Timeline

I have tried this diff on r331284 and it still panic when I plug my Transcend microSD reader in. The stack backtrace is exactly same with what I've supplied in the mailing list.

This revision is now accepted and ready to land.Jul 10 2021, 3:57 PM